gemspec: enable licenses metadata attribute
authorPeter Marsh <pete@modeltwozero.com>
Mon, 3 Dec 2012 16:37:30 +0000 (3 16:37 +0000)
committerEric Wong <normalperson@yhbt.net>
Tue, 4 Dec 2012 11:24:37 +0000 (4 11:24 +0000)
This enables compatibility with metadata scanners such as
LicenseFinder[1].

The previously commented-out accessor was commented out
in September 2009 when ancient RubyGems were more prevalent.
By now (December 2012), those ancient versions of RubyGems
are unlikely to be around.

[1] https://github.com/pivotal/LicenseFinder

[ew: rewritten commit message]

Signed-off-by: Eric Wong <normalperson@yhbt.net>
unicorn.gemspec

index 08a1a36..0453eb0 100644 (file)
@@ -40,5 +40,5 @@ Gem::Specification.new do |s|
   s.add_development_dependency('isolate', '~> 3.2')
   s.add_development_dependency('wrongdoc', '~> 1.6.1')
 
-  # s.licenses = %w(GPLv2 Ruby) # licenses= method is not in older RubyGems
+  s.licenses = ["GPLv2", "GPLv3", "Ruby 1.8"]
 end